<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Code for Entrepreneurs</title>

		<link rel="stylesheet" href="css/reveal.css">
        <link rel="stylesheet" href="css/theme/sky.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">


				<section>

                    <h1>Coding</h1>
                    <!-- <img src="images/idea.jpeg"/> -->
                    <img src="images/idea.jpg" height="250em"/>
					<h3>for entrepreneurs </h3>
                    <span class="fragment">...who like cupcakes</span>



				</section>

				<section>
					<h1>Ice breaker</h1>
					<img src="images/fat-penguine.jpeg" height="350em"/><br/>


                 <!--    - what's your business?
                - what is your interest in software/IT/computing? -->
				</section>

                <section>
                    <h1><a href="http://sheenacv.prelude.co.za/">Me :)</a></h1>
                    <ul>
                        <li>Been coding in some form for over 10 years</li>
                        <li>Specialize in Python + K8s + Google Cloud</li>
                        <li>Currently working on react+redux+graphql</li>
                        <li>Working on a medical startup</li>
                        <li>Interest in software training</li>
                    </ul>
                </section>

				<section>
					<h1>Contents</h1>
					<ul>
                        <li class="fragment">What is programming?</li>
                        <li class="fragment">Why you should care</li>
                        <li class="fragment">Myths and Legends</li>
                        <li class="fragment">Some code (don't panic) </li>
                        <li class="fragment">Where to from here?</li>
					</ul>
				</section>


                 <section>
                    <h2>What is programming?</h2>

                    <section>
                    </section>

                    <section>
                        <img src="images/whatis01.jpeg" height="450em"/>
                    </section>

                    <section>
                        <img src="images/confusion.jpg" height="450em"/>
                    </section>

                    <section>
                        <img src="images/librecalc.png" height="450em"/>

                    </section>

                    <section>
                        <ul>
                            <li>A way to tell a computer what to do</li>
                            <li class="fragment">instructions can be "saved" so they can be reused or combined in different ways</li>
                            <li class="fragment">different languages and tools solve different problems</li>
                        </ul>
                    </section>

                </section>



                <section>
                    <section>

                    <h2>Why you should care?</h2>
                    </section>

                    <section>
                        <h2>You want to hire a programmer</h2>

                        <ul>
                            <li class="fragment">You have a great idea for an app...</li>
                            <li class="fragment">You want to know if it's even possible</li>
                            <li class="fragment">You want to be able to find people to work on it</li>
                            <li class="fragment">You need to be able to communicate with (bloody) techies</li>
                            <li class="fragment">And make sure it is done right</li>
                        </ul>
                    </section>

                    <section>
                        <h2>You are an idea factory</h2>

                        <ul>
                            <li class="fragment">Rapid prototyping of basic functionality</li>
                            <li class="fragment">Helps you refine ideas and check assumptions</li>
                            <li class="fragment">Basic prototypes can act as specifications when hiring experts</li>
                        </ul>

                    </section>

                     <section>
                            <img src="images/steve.jpg" height="350em"/>
                    </section>

                    <section>
                        <h2>Personal growth</h2>
                            <ul>
                                <li class="fragment">logical, analytical, structured thinking</li>
                                <li class="fragment">break a concept down into byte sized chunks</li>
                                <li class="fragment">Knowing what is possible</li>
                            <ul>
                    </section>

                    <section>
                        <h2>Fun :)</h2>
                            <img src="images/lego.jpeg" height="350em"/>


                    </section>


                </section>

                <section>

                    <section>
                    <h2>Myths and legends</h2>
                        <h3>.  .  .  and excuses</h3>
                    </section>

                    <section>
                        <h3>Programming is dull dull dull!</h3>
                        <ul>
                            <li class="fragment">Solving problems</li>
                            <li class="fragment">Seeing your creations come to life</li>
                            <li class="fragment">Carpentry...</li>
                        </ul>
                    </section>

                    <section>
                        <h3>Programming is cryptic</h3>
                        <ul>
                            <li class="fragment">Modern languages and tools make it easy</li>
                            <li class="fragment">Optimized for programmer efficiency and happiness :)</li>
                        </ul>
                    </section>

                    <section>
                        <h3><a href="https://sonic-pi.net/" target="_blank">Sonic Pi</a></h3>
                        <img src="images/sonicpi.png" height="350em"/>
                    </section>

                    <section>
                        <h3><a href="https://www.python.org/" target="_blank">Python</a></h3>
                        <img src="images/logo.jpeg" height="350em"/>
                    </section>


                    <section>
                        <h3>I don't have the time to learn <br/>...10 000 hours is too much</h3>
                        <ul>
                            <li class="fragment">Just learn what you need to</li>
                            <li class="fragment">No need to be a rock-star in order to be productive</li>
                        </ul>
                    </section>

                    <section>
                        <h3>But ladies just aren't technical</h3>
                        <img src="images/ada.jpeg" height="350em"  class="fragment"/>
                    </section>

                </section>

                 <section>

                <section>
                    <h2>Code</h2>
                    <h3>(Dont Panic)</h3>
                </section>

                <section>
                    <h3>Goal</h3>
                    <ul>
                        <li>Make a web page to validate your awesome product idea</li>
                        <li>Collect email addresses of interested people</li>
                    </ul>
                </section>


<section>
                    <h3>HTML</h3>

                    <a href="demo1" target="_blank">DEMO</a>

                </section>

                <section>

                    <h3>HTML</h3>
                    <pre><code class="hljs" data-trim contenteditable>
&lt!DOCTYPE html>
&lthtml>
&lthead>
&lttitle>Coming Soon&lt/title>

&lt/head>
&ltbody>
    &ltdiv id="content">

        &lth1>Coming Soon: iCupcake 4&lt/h1>
        &lth2>The most amazing cupcake yet&lt/h2>

        &ltimg src="static/cupcake.jpeg">

        &lth3>Product Features&lt/h3>

        &ltul>
          &ltli>A uniquely satisfying experience&lt/li>
          &ltli>8 mega pixel camera with full 1080p video recording&lt/li>
          &ltli>Siri voice assistant&lt/li>
          &ltli>iCloud&lt/li>
          &ltli>Air Print&lt/li>
          &ltli>Retina display&lt/li>
          &ltli>Photo and video geotagging&lt/li>
          &ltli>Available in many delicious flavors&lt/li>
        &lt/ul>

      &lt/div>
&lt/body>
&lt/html>
                    </code></pre>
                </section>



                <section>
                    <h3>CSS</h3>

                    <pre><code class="hljs" data-trim contenteditable>

&lt!DOCTYPE html>
&lthtml>
&lthead>
&lttitle>Coming Soon&lt/title>

&ltlink rel="stylesheet" href="static/demo.css">

&lt/head>
&ltbody>
...
                    </code></pre>
                </section>


 <section>
                    <h3>CSS</h3>

                    <a href="demo2" target="_blank">DEMO</a>

                </section>



                <section>
                    <h3>CSS</h3>

                    <pre><code class="hljs" data-trim contenteditable>

html{
  background: #9BC5CC;
  font-family: Helvetica Neue, Arial, sans-serif;
  height:100%;
}

h1, h2, h3 {
  font-weight: normal;
  margin: 0;
}

h1 {
  font-size: 24pt;
  padding-bottom:0.5em;
}

h2 {
  font-size: 16pt;
  color: #76979D;
}

h3 {
  font-size: 12pt;
  color: #76979D;
}

img{
  padding:1em;
}


body {
  text-align: center;
  height:100%;
}

ul{
  text-align: left;
}


#content {
  display: inline-block;
  background: #f3f3f3;
  padding-top:3em;
  padding-left:3em;
  padding-right:3em;
}
                    </code></pre>
                </section>


                <section>
                    <h3>Email Subscriptions</h3>
                    <img src="images/mailchimp.png"/><br/>
                    <a href="https://mailchimp.com/" target="_blank">Mailchimp</a>
                </section>

                <section>
                    <h3>Create a mailing list</h3>
                    <img src="images/mailchimp-create-list.png" height="550em"/><br/>
                </section>

                <section>
                    <h3>Choose a form type</h3>
                    <img src="images/mailchimp-select-embed.png"/><br/>
                </section>

                <section>
                    <h3>Generate Html</h3>
                    <img src="images/mailchimp-generate-html.png" height="550em"/><br/>
                </section>


                <section>
                    <h3>Signup</h3>
                    <a href="demo3" target="_blank">DEMO</a>
                </section>

                <section>
                    <h3>Host it</h3>
                    <ul>
                        <li><a href="https://console.cloud.google.com" target="_blank">Google App engine</a></li>
                        <li><a href="https://pres-code-for-eunt-demo-dot-prelude-za.appspot.com" target="_blank">https://pres-code-for-eunt-demo-dot-prelude-za.appspot.com</a></li>
                    </ul>
                </section>

                </section>

                <section>
                    <h2>Where to from here?</h2>
                    <section></section>

                    <section>
                        <h3>Functionality</h3>
                        <ul>
                            <li class="fragment">Better domain</li>
                            <li class="fragment">Web Design</li>
                            <li class="fragment">SEO</li>
                            <li class="fragment">Payment Processing</li>
                            <li class="fragment">Growth Hacking</li>
                            <li class="fragment">Scaling</li>
                            <li class="fragment">Security</li>
                        </ul>
                    </section>

                    <section>
                        <h3>Technologies</h3>
                        <ul>
                            <li class="fragment">HTML + CSS</li>
                            <li class="fragment">JavaScript</li>
                            <li class="fragment">Python</li>
                            <li class="fragment">MongoDB or SQL</li>
                            <li class="fragment">React + ReactNative</li>
                        </ul>
                    </section>

                </section>

                <section>
                    <h2>The End</h2>

                    <a href="https://content-dot-prelude-za.appspot.com/">https://content-dot-prelude-za.appspot.com/</a><br/>
                    <img src="images/qr.png"/>
                </section>

			</div>
		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } }
				]
			});
		</script>
	</body>
</html>
